# Class ReadBufferOverflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.websocket.ReadBufferOverflowException

All Implemented Interfaces:
  `Serializable`

public class ReadBufferOverflowException extends IOException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadBufferOverflowException(int minBufferSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMinBufferSize()`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadBufferOverflowException

    public ReadBufferOverflowException(int minBufferSize)

- ## Method Details

  - ### getMinBufferSize

    public int getMinBufferSize()